## GimpThumb-error

GimpThumb-error — Error codes used by libgimpthumb

## Functions

GQuark | gimp_thumb_error_quark ()

## Types and Values

enum | GimpThumbError
#define | GIMP_THUMB_ERROR

## Description

Error codes used by libgimpthumb

## Functions

### gimp_thumb_error_quark ()

    GQuark
    gimp_thumb_error_quark (void);

This function is never called directly. Use `GIMP_THUMB_ERROR()` instead.

#### Returns

the GQuark that defines the GimpThumb error domain.

## Types and Values

### enum GimpThumbError

These are the possible error codes used when a GError is set by libgimpthumb.

#### Members

GIMP_THUMB_ERROR_OPEN | there was a problem opening the file |
GIMP_THUMB_ERROR_OPEN_ENOENT | the file doesn't exist |
GIMP_THUMB_ERROR_MKDIR | there was a problem creating a directory |

### GIMP_THUMB_ERROR

    #define GIMP_THUMB_ERROR (gimp_thumb_error_quark ())

Identifier for the libgimpthumb error domain.